package com.alvin.db.service.impl;

import com.alvin.db.entity.AccessRole;
import com.alvin.db.mapper.AccessRoleMapper;
import com.alvin.db.service.IAccessRoleService;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import javax.annotation.PostConstruct;

/**
 * <p>
 * 运营角色表 服务实现类
 * </p>
 *
 * @author tianyun
 * @since 2022-08-17
 */
@Service
public class AccessRoleServiceImpl extends ServiceImpl<AccessRoleMapper, AccessRole> implements IAccessRoleService {

    @Autowired
    private AccessRoleMapper accessRoleMapper;

    @PostConstruct
    public void init() {
        ////查询
        //System.out.println("===byID");
        //System.out.println(accessRoleMapper.selectById(1));
        //
        //System.out.println("===条件拼接");
        //LambdaQueryWrapper<AccessRole> wrapper = new LambdaQueryWrapper<>();
        //wrapper.select(AccessRole::getRoleName, AccessRole::getEnableFlag);  // select 指定字段
        //wrapper.select(AccessRole.class, i -> !i.getColumn().equals("delete_flag")); // select 忽略某些字段
        //wrapper.eq(AccessRole::getRoleCode, "designer");
        //
        //List<AccessRole> accessRoles = accessRoleMapper.selectList(wrapper);
        //System.out.println(accessRoles);
        //
        ////分页查询
        //LambdaQueryWrapper<AccessRole> wrapper = new LambdaQueryWrapper<>();
        //wrapper.gt(AccessRole::getId, 1);
        //Page<AccessRole> pageRes = accessRoleMapper.selectPage(new Page<>(1, 3), wrapper);
        //System.out.println(pageRes.getTotal());
        //System.out.println(pageRes.getRecords());
        //
        //
        //AccessRole accessRole = new AccessRole();
        //accessRole.setRoleCode("");
        //accessRole.setRoleName("");
        //accessRole.setEnableFlag(0);
        //accessRole.setDeleteFlag(0);
        //accessRole.setVersion(0);
        //accessRole.setCreateBy("root");
        //accessRoleMapper.insert(accessRole);
        //
        //
        ////批量插入
        //ArrayList<AccessRole> accessRoles = new ArrayList<>();
        //for (int i = 0; i < 100; i++) {
        //    AccessRole accessRole = new AccessRole();
        //    accessRole.setRoleCode("");
        //    accessRole.setRoleName("");
        //    accessRole.setEnableFlag(0);
        //    accessRole.setDeleteFlag(0);
        //    accessRole.setVersion(0);
        //    accessRole.setCreateBy("root");
        //    accessRoles.add(accessRole);
        //}
        //saveBatch(accessRoles, 1000);

        //条件删除
        accessRoleMapper.delete(new LambdaQueryWrapper<AccessRole>().ge(AccessRole::getId, 4));

    }

}
