import java.util.Arrays;
import java.util.HashMap;

/**
 * solution01
 * 1. 两数之和
 * 给定一个整数数组 nums 和一个整数目标值 target，请你在该数组中找出 和为目标值 target  的那 两个 整数，并返回它们的数组下标。
 * <p>
 * 你可以假设每种输入只会对应一个答案。但是，数组中同一个元素在答案里不能重复出现。
 * <p>
 * 你可以按任意顺序返回答案。
 * 输入：nums = [2,7,11,15], target = 9
 * 输出：[0,1]
 * 解释：因为 nums[0] + nums[1] == 9 ，返回 [0, 1] 。
 *
 * @author mlamp
 * @date 2022/06/06
 */
public class Solution01 {
    public int[] twoSum(int[] nums, int target) {
        HashMap<Integer, Integer> numMap = new HashMap<>();
        for (int i = 0; i < nums.length; i++) {
            numMap.put(nums[i], i);
        }

        for (int i = 0; i < nums.length; i++) {
            int num1 = target - nums[i];
            if (numMap.containsKey(num1) && i != numMap.get(num1)) {
                return new int[]{i, numMap.get(num1)};
            }
        }
        return new int[2];
    }

    public static void main(String[] args) {
        //int[] ints = new Solution01().twoSum(new int[]{2, 7, 11, 15}, 9);
        int[] ints = new Solution01().twoSum(new int[]{3, 2, 4}, 6);
        System.out.println(Arrays.toString(ints));
    }
}
